list
curl --request GET \
--url https://api.withflora.io/v1/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflora.io/v1/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflora.io/v1/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": [
{
"createdAt": "2025-03-20T15:37:16.163+00:00",
"id": "00f9190e-9a4a-4e08-ba00-f888437ed3c4",
"name": "News Articles",
"structure": {
"items": {
"properties": {
"link": {
"describe": "URL to learn more",
"type": "string"
},
"summary": {
"describe": "The news summary",
"type": "string"
},
"title": {
"describe": "The article title",
"type": "string"
}
},
"type": "object"
},
"required": true,
"type": "array"
}
}
],
"meta": {
"currentPage": 1,
"firstPage": 1,
"firstPageUrl": "/?page=1",
"lastPage": 1,
"lastPageUrl": "/?page=1",
"nextPageUrl": null,
"perPage": 10,
"previousPageUrl": null,
"total": 5
}
},
"message": "Schemas fetched successfully",
"status": true
}Schemas
List Schemas
Get a list of all available schemas
GET
/
schemas
list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
"2025-03-01"
Example:
"2025-03-25"
Search schemas by name
Example:
"news"
Example:
1
Example:
5
Was this page helpful?

